<!DOCTYPE html>
<html lang="en">
<head>
    <!-- the way of browser to read our meta tags and our html tags -->
    <meta charset="utf-8"> 
    <!-- meta viewport - way to have a mobile responsive website -->
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Bootstrap Introduction</title>

    <!-- bootstrap .css -->
    <link rel="stylesheet" href="styles/bootstrap/css/bootstrap.min.css">

    <!-- font awesome -->
    <script src="https://kit.fontawesome.com/10304270af.js" crossorigin="anonymous"></script>

    <!-- external .css -->
    <link rel="stylesheet" href="styles/index.css">
</head>
<body>

<!-- OLD CODE -->
<!-- <h1>Bootstrap Introduction and its tools and components we can use for a much faster way of layouting our website.</h1>

<div class="alert alert-primary" role="alert">
    A simple primary alert—check it out!
</div>

<button type="button" class="btn btn-primary">Primary</button>

<button type="button" class="btn" id="about-button">Apply Now</button> -->

    <!-- navbar -->
    <!-- lg - large - desktops monitors, tv
        md - medium - tablets
        sm - small - mobile -->
    <nav class="navbar fixed-top navbar-expand-lg navbar-dark bg-primary">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
    <div class="collapse navbar-collapse"        id="navbarSupportedContent">
        <!-- mr, adds a margin on the right side, moving the    nav items to the opposite side of the nav bar
            mr-auto = margin right
            ml-auto = margin left -
            mx-auto = margin x axis auto - adds the margin left and right, moving our nav items to the center, equal margin both side 
            m-auto - -->
        <ul class="navbar-nav mx-auto">
            <li class="nav-item active">
                <a class="nav-link" href="#">Home<span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#">About Me</a>
            <li class="nav-item">
                <a class="nav-link" href="#">Projects</a>
            </li>
        </ul>
    </div>
    </nav>
    <!-- /navbar -->

    <div class="text-center">
        <img src="https://i.guim.co.uk/img/media/3656ae6ea2209d4561caf04fa9f172a519908ca3/0_28_2318_1391/master/2318.jpg?width=1200&height=1200&quality=85&auto=format&fit=crop&s=afcc355f47876bc495cdc3c902639bae" alt="ada-lovelace" class="img-size rounded-circle">

        <!-- mt-3 - margin-top -->
        <div class="mt-4">
            <h2 class="border-bottom border-primary d-inline">Ada Lovelace</h2>
        </div>
        <h4 class="my-3">Full-Stack Web Developer</h4>
        <p class="mx-auto w-50">
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Necessitatibus deleniti ipsum voluptates, odio nulla velit id voluptatem sint architecto tenetur laborum quas nostrum, officiis excepturi fugit libero vitae eum fugiat?
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Praesentium qui, vero inventore aspernatur reiciendis numquam dignissimos temporibus quo soluta alias accusamus sapiente iusto ut molestias quis quia officiis fugiat! Quis?
        </p>
    </div>

    <div>
        <div class="d-inline-block w-25">
            <img class="img-fluid" src="https://getbootstrap.com/docs/4.0/examples/screenshots/album.png" alt="project-1">
            <h3>My First Project</h3>
            <p>A simple project made from HTML</p>
        </div>
        <div class="d-inline-block w-25">
            <img class="img-fluid" src="https://getbootstrap.com/docs/4.0/examples/screenshots/jumbotron.png" alt="project-2">
            <h3>My Second Project</h3>
            <p>A simple project made from CSS</p>
        </div>
        <div class="d-inline-block w-25">
            <img class="img-fluid" src="https://getbootstrap.com/docs/4.0/examples/screenshots/carousel.png" alt="project-3">
            <h3>My Third Project</h3>
            <p>A simple project made from Bootstrap</p>
        </div>
    </div>


    <!-- jquery min .js -->
    <script src="styles/bootstrap/js/jquery-3.6.0.min.js"></script>

    <!-- popper min .js -->
    <script src="styles/bootstrap/js/popper.min.js"></script>

    <!-- bootstrap .js -->
    <script src="styles/bootstrap/js/bootstrap.min.js"></script>
</body>
</html>